Множественные уязвимости в MySQL

Дата публикации:
13.06.2012
Дата изменения:
13.06.2012
Всего просмотров:
1954
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:P/I:P/A:P/E:F/RL:O/RC:C) = Base:6.8/Temporal:5.6
(AV:N/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C) = Base:7.5/Temporal:5.5
CVE ID:
CVE-2012-2122
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MySQL 5.x
Уязвимые версии: MySQL версий до 5.1.63

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю обойти ограничения безопасности на системе.

1. Уязвимость существует из-за ошибки при проверке попыток аутентификации. Удаленный пользователь может обойти механизм аутентификации.

Примечание: Для эксплуатации уязвимости № 1 база данных должна работать на системе с библиотекой, которая позволяет memcmp() возвращать значение за пределами диапазона от -128 до 127. Уязвимость распространяется на продукт версий до 5.1.63 и 5.5.25.

2. Уязвимость существует из-за неизвестной ошибки. Подробности не разглашаются.

URL производителя: http://www.mysql.com/

Решение: Для устранения уязвимостей установите продукт версии 5.1.63 или 5.5.25 с сайта производителя.

Ссылки: http://dev.mysql.com/doc/refman/5.1/en/news-5-1-63.html
http://dev.mysql.com/doc/refman/5.5/en/news-5-5-24.html
http://bugs.mysql.com/bug.php
http://bugs.mysql.com/bug.php
http://seclists.org/oss-sec/2012/q2/493

или введите имя

CAPTCHA